//CContextClientSession.h


#ifndef __CONTEXTCLIENTSESSION_H__
#define __CONTEXTCLIENTSESSION_H__

#include <e32base.h>

class RContextClientSession : public RSessionBase
{
public:
	IMPORT_C RContextClientSession();
	IMPORT_C TInt ConnectToContextServer();
	IMPORT_C TVersion Version() const;
	
	IMPORT_C void MsgConnectToPresenceServer(const TDesC & username, 
		const TDesC & password, const TDesC & server, TUint32 accessPointId, TRequestStatus& aStatus);
	IMPORT_C void MsgTerminateContextServer(TRequestStatus& aStatus);
	IMPORT_C void MsgRequestPresenceInfo(TDes & contact, TDes & presenceInfo, TTime & send_timestamp, TRequestStatus& aStatus);
	IMPORT_C void MsgRequestPresenceNotification(TDes & contact, TDes & presenceInfo, TTime & send_timestamp, TRequestStatus& aStatus);
	IMPORT_C void MsgUpdateUserPresence(TDesC & info, TRequestStatus& aStatus);
	IMPORT_C void MsgSuspendConnection(TRequestStatus& aStatus);
	IMPORT_C void MsgResumeConnection(TRequestStatus& aStatus);

	
	IMPORT_C void Cancel() const;
private: 
	TPtr8   iTimeBuffer;
};

#endif // __TIMESERVERSESSION_H__

