#ifndef CB_JABBERDATA_H_INCLUDED
#define CB_JABBERDATA_H_INCLUDED 1

#include "app_context.h"
#include "db.h"

class CJabberData : public MDBStore, public MContextBase, public CBase
{
public:
	IMPORT_C static CJabberData* NewL(MApp_context& Context, CDb& Db);
	IMPORT_C ~CJabberData();

	IMPORT_C bool GetJabberNickL(TInt ContactId, TDes& Nick);
	IMPORT_C void SetJabberNickL(TInt ContactId, const TDesC& Nick);
	IMPORT_C TInt GetContactIdL(const TDesC& Nick); // KErrNotFound if not found
private:
	CJabberData(MApp_context& Context, CDb& Db);
	void ConstructL();

	CDb&	iJabberNickDb;
};

#endif
