#ifndef CC_TIMEOUT_H_INCLUDED
#define CC_TIMEOUT_H_INCLUDED 1

#include <e32base.h>

class MTimeOut {
public:
	virtual void expired() = 0;
	IMPORT_C virtual void expired(CBase* Source);
};

class CTimeOut: public CTimer {
public:
	CTimeOut();
	virtual ~CTimeOut();
	IMPORT_C static CTimeOut* NewL(MTimeOut& i_cb);
	virtual void Wait(int seconds) = 0;
	virtual void Reset() = 0;
};

#endif
