#ifndef CL_EXPECT_H_INCLUDED
#define CL_EXPECT_H_INCLUDED 1

#include <e32base.h>

class CExpect: public CBase {
public:
	static CExpect* NewL();
	bool handle_input(char c);
	~CExpect();
	void Reset();
	void SetPatternL(const TDesC8& pattern);
private:
	CExpect();
	void ConstructL();

	TBuf8<256> match_str;
	bool	bol;
	bool	neg_match;
	bool	match_any;
	
	HBufC8*	pat;
	int	expect_pos;

	void handle_next_place();
};

#endif
