/*
* ============================================================================
*  Name     : CContextbookDocument from ContextbookDocument.h
*  Part of  : contextbook
*  Created  : 14.7.2003 by 
*  Description:
*     Declares document for application.
*  Version  :
*  Copyright: 
* ============================================================================
*/

#ifndef CONTEXTBOOKDOCUMENT_H
#define CONTEXTBOOKDOCUMENT_H

// INCLUDES
#include <akndoc.h>
#include "app_context.h"
   
// CONSTANTS

// FORWARD DECLARATIONS
class  CEikAppUi;

// CLASS DECLARATION

/**
*  CContextbookDocument application class.
*/
class CContextbookDocument : public CAknDocument
    {
    public: // Constructors and destructor
        /**
        * Two-phased constructor.
        */
        static CContextbookDocument* NewL(CEikApplication& aApp);

        /**
        * Destructor.
        */
        virtual ~CContextbookDocument();

    public: // New functions

    protected:  // New functions

    protected:  // Functions from base classes

    private:

        /**
        * EPOC default constructor.
        */
        CContextbookDocument(CEikApplication& aApp);
        void ConstructL();
	CApp_context* iContext;

    private:

        /**
        * From CEikDocument, create CContextbookAppUi "App UI" object.
        */
        CEikAppUi* CreateAppUiL();
    };

#endif

// End of File

