#ifndef CB_DBLLINEBOX_H_INCLUDED
#define CB_DBLLINEBOX_H_INCLUDED

#include <aknlists.h>
#include <eikfrlbd.h> 
#include "phonebook.h"
#include "file_output_base.h"

class doublelinebox : public CEikFormattedCellListBox
{	
	void CreateItemDrawerL(void);
	
public:
	doublelinebox(phonebook_i * aBook, Cfile_output_base * aLog);
	TKeyResponse OfferKeyEventL(const TKeyEvent& aKeyEvent,TEventCode aType);
	~doublelinebox();
	void LogVisibleItems(TInt currentItemIndex);
	
	
private:
	void LogItem(const TDesC& item);
	
private:
	phonebook_i * book;
	Cfile_output_base * iLog;
	TBuf<800> iBuf;
	TInt iLastCurrentItemIndex;
	
};

class drawer : public CFormattedCellListBoxItemDrawer 
{
public:
	drawer(MTextListBoxModel *aTextListBoxModel, 
					const CFont *aFont, 
					CFormattedCellListBoxData *aFormattedCellData, 
					phonebook_i* aBook, Cfile_output_base * aLog, doublelinebox *aListBox);

private:
	void DrawItemText (TInt aItemIndex, 
								const TRect &aItemTextRect,
                                TBool aItemIsCurrent, 
								TBool aViewIsEmphasized, 
								TBool aItemIsSelected) const;
	
	CFormattedCellListBoxData *itemd;
	MTextListBoxModel * iTextListBoxModel;
	phonebook_i * iBook;
	Cfile_output_base * iLog;
	doublelinebox* iListBox;
};


#endif
