#ifndef CL_LOG_IDLE_H_INCLUDED
#define CL_LOG_IDLE_H_INCLUDED 1

#include "i_log_source.h"
#include "log_base_impl.h"
#include "app_context.h"
#include <e32std.h>

class CLog_idle : public CCheckedActive, public Mlog_base_impl{
public:
	~CLog_idle();

	const TDesC& get_value();

	void CheckedRunL();

	static CLog_idle* NewL(MApp_context& Context);
	void DoCancel();
	virtual TInt CheckedRunError(TInt aError);

private:
	CLog_idle(MApp_context& Context);
	void ConstructL();
	void GetState();
	void Start();

	enum EState { EUnknown, EIdle, EActive };
	EState	iCurrentState;

	RTimer	iTimer;
	HBufC* iValue;
	int	iTimeOut;	
};

#endif //CL_LOG_IDLE_H_INCLUDED
