#ifndef CB_NICKFORM_H_INCLUDED
#define CB_NICKFORM_H_INCLUDED 1

#include "app_context.h"
#include <aknform.h>
#include "jabberdata.h"
#include "phonebook.h"

class CNickForm : public CAknForm
{
public:
        static CNickForm* NewL(CJabberData& Data, TInt ContactId, const TDesC& Title, phonebook_i* Book);
	
        virtual ~CNickForm();
	
        TInt ExecuteLD(); 
        void PrepareLC(); 
	
private:  // Constructor
        CNickForm(CJabberData& Data, TInt ContactId, phonebook_i* Book);
        void ConstructL(const TDesC& Title);
	
private:  // Functions from base class
	void SetInitialCurrentLine();
        void PostLayoutDynInitL();
        TBool QuerySaveChangesL();
        TBool SaveFormDataL(); 
        void DoNotSaveFormDataL();
	virtual TBool OkToExitL( TInt aButtonId ) ;

	CJabberData&	iData;
	TBuf<50>	iNick;
	TInt		iContactId;
	HBufC*		iTitle;
	phonebook_i*	iBook;

};

#endif
